import request from "@/api/request.js";

// 全要素统计
export function getElementCount(params) {
	return request({
		method: "GET",
		url: `/api/element/elementCount/${params.date}`
	});
}

// 美对华科技要素打压遏制数量趋势
export function getElementSuppressTrend(params) {
	return request({
		method: "GET",
		url: `/api/element/DomainContainmentTrend/${params.date}`,
		params: {
			domainId: params.domainId ? params.domainId : null
		}
	});
}

// 最新动态
export function getNewDynamics() {
	return request({
		method: "GET",
		url: `/api/element/newDynamics`
	});
}

// 美对我要素打压情况
/**
 * @param {currentPage, pageSize}
 */
export function getElementSuppress(params) {
	return request({
		method: "GET",
		url: `/api/element/elementSuppress/${params.date}`,
		params: {
			elementId: params.elementId ? params.elementId : null,
			page: params.currentPage,
			pageSize: params.pageSize
		}
	});
}

// 关键词云-上
/**
 * @param {date}
 */
export function getKeyWordUp(params) {
	return request({
		method: "GET",
		url: `/api/element/getKeyWordUp/${params.date}`,
		params: {
			elementId: params.elementId ? params.elementId : null
		}
	});
}

// 美自身要素发展情况
/**
 * @param {currentPage, pageSize}
 */
export function getElementDevelop(params) {
	return request({
		method: "GET",
		url: `/api/element/elementDevelop/${params.date}`,
		params: {
			elementId: params.elementId ? params.elementId : null,
			page: params.currentPage,
			pageSize: params.pageSize
		}
	});
}

// 关键词云-下
/**
 * @param {currentPage, pageSize}
 */
export function getKeyWordDown(params) {
	return request({
		method: "GET",
		url: `/api/element/getKeyWordDown/${params.date}`,
		params: {
			elementId: params.elementId ? params.elementId : null
		}
	});
}

// 通过id获取政令详细信息
/**
 * @param {id}
 */
export function getOrderInfo(params) {
	return request({
		method: "GET",
		url: `/api/element/getOrderInfo/${params.id}`,
		params
	});
}
